Subject: Re: [PATCH] update-hook: remove all functionality that should be in hooks/post-receive

From: Theodore Tso <[email-masked]>
Date: Sat, 24 Mar 2007 06:26:52 -0400

On Sat, Mar 24, 2007 at 08:14:31AM +0000, Andy Parkins wrote:
> So: ideally, what /I/ would like is that git distributes the script in a 
> standard location like /usr/share/doc/git/contrib/post-receive-emailer 
> with the execute bit already set; that can be easily linked to or 
> called from the actual post-receive hook.

I wonder if this is a good idea to do for all or most of the template
scripts, so that they can get automatically updated when git is
updated, instead of having the problem we had before where the hook
script got updated to match changes in git, but ancient repositories
would still have the old script.

						- Ted